Skip to main content

Get Media Resource Metadata

API Description

Get metadata associated with a specific image resource, including processing state. Supply the unique Apple-generated ID assigned to the resource, and the service will return the corresponding image metadata.

Request

URI Parameters

NameInput
orgId
REQUIRED
imageId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/images/{imageId}/metadata
Path Example
GET {url}/api/v1/orgs/9467895078742654934/images/9467895078742654949/metadata

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 64f5c83a-f21c-4854-925f-aa597f2a743b
content-type: application/json

Response Body

NameOutput
$.orgId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.filename
CONDITIONAL
$.width
CONDITIONAL
$.height
CONDITIONAL
$.fileSize
CONDITIONAL
$.contentType
CONDITIONAL
$.cdnUrl
CONDITIONAL
$.cdnTemplateUrl
CONDITIONAL

Conditional values are provided after calculation

CDN Template URL

cdnUrl and cdnTemplateUrl are system-generated values. API users MUST NOT construct CDN URLs independently or rely on undocumented URL structure. Only documented template variables ({w}, {h}, {c}, {f}) may be substituted when using cdnTemplateUrl.

note

The photos and logos you receive can only be used on behalf of the applicable organization that shared access with you. You may not use the photos or logos outside of Apple Business or for other purposes, unless you have permission from the organization.

VariableDescription
{w}Width in pixels
{h}Height in pixels
{c}Optional crop modifier
{f}Output format (e.g., jpeg, png)
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"id": "8c3c5d08-29c8-4989-931a-adf8aad2f2ed",
"createdDate": "2022-03-24T00:18:57.315Z",
"updatedDate": "2022-03-24T00:18:57.315Z",
"state": "SUBMITTED",
"filename": "RED_BAY_COFFEE_BARISTA.jpeg",
"width": 200,
"height": 400,
"fileSize": 12,
"contentType": "image/jpeg",
"cdnUrl": "https://cdn.example.com/image/thumb/3a9fd425-1a12-4b8a-8b86-3f379d9569ad/2250x1500.jpeg",
"cdnTemplateUrl": "https://cdn.example.com/image/thumb/3a9fd425-1a12-4b8a-8b86-3f379d9569ad/{w}x{h}{c}.{f}"
}